Orxonox: orxonox::ConfigFileEntryValue Class Reference

# orxonox::ConfigFileEntryValue Class Reference

`#include <src/core/ConfigFileManager.h>`

Inheritance diagram for orxonox::ConfigFileEntryValue:

List of all members.

## Public Member Functions

| ConfigFileEntryValue (const std::string &name, const std::string &value="", bool bString=false, const std::string &additionalComment="")
virtual std::string | getFileEntry () const
virtual const std::string & | getName () const
virtual std::string | getValue () const
bool | isString () const
virtual void | setComment (const std::string &comment)
void | setString (bool bString)
virtual void | setValue (const std::string &value)
virtual | ~ConfigFileEntryValue ()

## Protected Attributes

std::string | additionalComment_
bool | bString_
std::string | name_
std::string | value_

## Constructor & Destructor Documentation

orxonox::ConfigFileEntryValue::ConfigFileEntryValue | ( | const std::string & | name,
|  | const std::string & | value = `""`,
|  | bool | bString = `false`,
|  | const std::string & | additionalComment = `""` |
| ) |  |  | `[inline]`

virtual orxonox::ConfigFileEntryValue::~ConfigFileEntryValue | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

std::string orxonox::ConfigFileEntryValue::getFileEntry | ( |  | ) | const`[virtual]`

Implements orxonox::ConfigFileEntry.

Reimplemented in orxonox::ConfigFileEntryVectorValue.

References additionalComment_, name_, and value_.

virtual const std::string& orxonox::ConfigFileEntryValue::getName | ( |  | ) | const`[inline, virtual]`

Implements orxonox::ConfigFileEntry.

std::string orxonox::ConfigFileEntryValue::getValue | ( |  | ) | const`[virtual]`

Implements orxonox::ConfigFileEntry.

References bString_, orxonox::removeSlashes(), orxonox::stripEnclosingQuotes(), and value_.

bool orxonox::ConfigFileEntryValue::isString | ( |  | ) | const`[inline]`

virtual void orxonox::ConfigFileEntryValue::setComment | ( | const std::string & | comment | ) | `[inline, virtual]`

Implements orxonox::ConfigFileEntry.

void orxonox::ConfigFileEntryValue::setString | ( | bool | bString | ) | `[inline, virtual]`

Implements orxonox::ConfigFileEntry.

void orxonox::ConfigFileEntryValue::setValue | ( | const std::string & | value | ) | `[virtual]`

Implements orxonox::ConfigFileEntry.

References orxonox::addSlashes(), bString_, orxonox::stripEnclosingQuotes(), and value_.

## Member Data Documentation

std::string orxonox::ConfigFileEntryValue::additionalComment_`[protected]`

Referenced by orxonox::ConfigFileEntryVectorValue::getFileEntry(), and getFileEntry().

bool orxonox::ConfigFileEntryValue::bString_`[protected]`

Referenced by getValue(), and setValue().

std::string orxonox::ConfigFileEntryValue::name_`[protected]`

Referenced by orxonox::ConfigFileEntryVectorValue::getFileEntry(), and getFileEntry().

std::string orxonox::ConfigFileEntryValue::value_`[protected]`

Referenced by orxonox::ConfigFileEntryVectorValue::getFileEntry(), getFileEntry(), getValue(), and setValue().

The documentation for this class was generated from the following files:

- src/core/ConfigFileManager.h
- src/core/ConfigFileManager.cc